summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-03-28 01:50:00 -0500
committerTim Harder <radhermit@gentoo.org>2019-03-28 02:02:54 -0500
commitb3044f824cd8c49df8635e0880861e5ae6737f31 (patch)
treec55a01763d00da20d0c84671ad16a9b143f66618 /media-video
parentmedia-libs/libmatroska: version bump to 1.5.0 (diff)
downloadgentoo-b3044f824cd8c49df8635e0880861e5ae6737f31.tar.gz
gentoo-b3044f824cd8c49df8635e0880861e5ae6737f31.tar.bz2
gentoo-b3044f824cd8c49df8635e0880861e5ae6737f31.zip
media-video/mkvtoolnix: version bump to 32.0.0
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'media-video')
-rw-r--r--media-video/mkvtoolnix/Manifest1
-rw-r--r--media-video/mkvtoolnix/mkvtoolnix-32.0.0.ebuild130
-rw-r--r--media-video/mkvtoolnix/mkvtoolnix-9999.ebuild4
3 files changed, 133 insertions, 2 deletions
diff --git a/media-video/mkvtoolnix/Manifest b/media-video/mkvtoolnix/Manifest
index 0098c13b74c..d1aceef702c 100644
--- a/media-video/mkvtoolnix/Manifest
+++ b/media-video/mkvtoolnix/Manifest
@@ -1,3 +1,4 @@
DIST mkvtoolnix-29.0.0.tar.xz 7051380 BLAKE2B 8f5694abdbeb95c13e3a97740e3e81c02f1408116f1bdf96e8199bba0408e03278cac0bee0506b4b0aedc0a0417d61e13f31af716942faa9dbe61d16eb1d0761 SHA512 bfb5e31fdd43dbb1c3a54a9b82af414abd43f8edad1cc87e5118f8c1781185470152163fda828303c58db97df27c8037b7fa64e2077c69e3204d5080f0248dae
DIST mkvtoolnix-30.1.0.tar.xz 7274296 BLAKE2B 0b0c7a9954269d0c6f071bd808ddf18eaf2d004dc2d8cf209f7021624458a9a29a7f705ad08446bd769b3a4e73732a3b2a269385868041fd887eff1d92c07558 SHA512 0c29a7a246b7e7ddccbb7ec51d7dd45d06530e01d7f1c8fa901b1a94dc6c7d9db0890009f200c3bebee572e24c826f7c05a53c16e8d11cfac2c68a3d13b96a53
DIST mkvtoolnix-31.0.0.tar.xz 7282492 BLAKE2B 1c0d4a6de81ddb1953e3f7997ef62ffeeb9562cacaf5df33320cd8f2263d6303986c3a1a129e9b6ac986efd4a290046aba41e38ae1ed83e7eec00dab099a19fc SHA512 085bc7d5a2b2e692d584bef5f31aab8dc25883cc93d9f2b2c35ea6356d64536763b6e9f7cef2dbaf1b789e73c05cb5f9e76ce76c54f034aa9d46c30983d1a5b7
+DIST mkvtoolnix-32.0.0.tar.xz 7282928 BLAKE2B cf051474c3e4735f5c3fdda44bd9065539ea6333ad4683f61b1a7d8ecc6fab2e45bd0ae37f82acdbc11c01704c319356d2baa9fdfe1e8e48ffcf65b05f484836 SHA512 a209360fcad3164ebf127b7a54542b2b791318cef1ac8acbb24e64458bd9fe693ea6fa2b44b6e85504decab9668296637d9d4ce706effcf6a9f0d7bdea64793a
diff --git a/media-video/mkvtoolnix/mkvtoolnix-32.0.0.ebuild b/media-video/mkvtoolnix/mkvtoolnix-32.0.0.ebuild
new file mode 100644
index 00000000000..8837542e21d
--- /dev/null
+++ b/media-video/mkvtoolnix/mkvtoolnix-32.0.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit toolchain-funcs versionator multiprocessing xdg-utils qmake-utils gnome2-utils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/mbunkus/mkvtoolnix.git"
+ inherit git-r3
+else
+ SRC_URI="https://mkvtoolnix.download/sources/${P}.tar.xz"
+ KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Tools to create, alter, and inspect Matroska files"
+HOMEPAGE="https://mkvtoolnix.download/ https://gitlab.com/mbunkus/mkvtoolnix"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug nls pch test qt5"
+
+# check NEWS.md for build system changes entries for boost/libebml/libmatroska
+# version requirement updates and other packaging info
+RDEPEND="
+ dev-libs/libfmt:=
+ >=dev-libs/boost-1.49.0:=
+ >=dev-libs/libebml-1.3.7:=
+ dev-libs/pugixml
+ media-libs/flac
+ >=media-libs/libmatroska-1.5.0:=
+ media-libs/libogg
+ media-libs/libvorbis
+ sys-apps/file
+ sys-libs/zlib
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtmultimedia:5
+ app-text/cmark:0=
+ )
+"
+DEPEND="${RDEPEND}
+ dev-cpp/nlohmann_json
+ dev-libs/utfcpp
+ dev-ruby/rake
+ virtual/pkgconfig
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ nls? (
+ sys-devel/gettext
+ app-text/po4a
+ )
+ test? ( dev-cpp/gtest )
+"
+
+DOCS="AUTHORS NEWS.md README.md"
+
+pkg_pretend() {
+ # https://bugs.gentoo.org/419257
+ local ver=4.6
+ local msg="You need at least GCC ${ver}.x for C++11 range-based 'for' and nullptr support."
+ if ! version_is_at_least ${ver} $(gcc-version); then
+ eerror ${msg}
+ die ${msg}
+ fi
+}
+
+src_prepare() {
+ default
+ [[ ${PV} == "9999" ]] && { ./autogen.sh || die; }
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug)
+ $(usex pch "" --disable-precompiled-headers)
+ $(use_enable qt5 qt)
+ $(use_with nls gettext)
+ $(usex nls "" --with-po4a-translate=false)
+ --disable-update-check
+ --disable-optimization
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ --with-boost="${EPREFIX}"/usr
+ --with-boost-libdir="${EPREFIX}"/usr/$(get_libdir)
+ )
+
+ if use qt5 ; then
+ # ac/qt5.m4 finds default Qt version set by qtchooser, bug #532600
+ myeconfargs+=(
+ --with-moc=$(qt5_get_bindir)/moc
+ --with-uic=$(qt5_get_bindir)/uic
+ --with-rcc=$(qt5_get_bindir)/rcc
+ --with-qmake=$(qt5_get_bindir)/qmake
+ )
+ fi
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ rake V=1 -j$(makeopts_jobs) || die
+}
+
+src_test() {
+ rake V=1 -j$(makeopts_jobs) tests:unit || die
+ rake V=1 -j$(makeopts_jobs) tests:run_unit || die
+}
+
+src_install() {
+ DESTDIR="${D}" rake -j$(makeopts_jobs) install || die
+
+ einstalldocs
+ doman doc/man/*.1
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postinst() {
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild b/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
index a37117dd09e..2bc8fa7624c 100644
--- a/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
+++ b/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
@@ -24,10 +24,10 @@ IUSE="debug nls pch test qt5"
RDEPEND="
dev-libs/libfmt:=
>=dev-libs/boost-1.49.0:=
- >=dev-libs/libebml-1.3.5:=
+ >=dev-libs/libebml-1.3.7:=
dev-libs/pugixml
media-libs/flac
- >=media-libs/libmatroska-1.4.8:=
+ >=media-libs/libmatroska-1.5.0:=
media-libs/libogg
media-libs/libvorbis
sys-apps/file